Subject: Re: bug#56561: 29.0.50; Infloop in try_window

From: Po Lu <[email-masked]>
Date: Sat, 16 Jul 2022 20:34:57 +0800

Eli Zaretskii <[email-masked]> writes:

>> The problem is how to detect that the glyph matrix is indeed too small
>> to fit all of the tooltip text, and not too small due to the bug being
>> triggered?

> Which bug? the one which started this discussion? that's the idea of
> looking at ends_at_zv_p flag of the rows in the matrix, after
> try_window returns.

Yes.  The question was how to tell apart the situation where the rows
don't extend to ZV because of that bug, and when they don't extend to ZV
legitimately (since the tooltip is too small.)